{% extends "base.html" %}

{% load i18n %}
{% load static %}

{% block extra_headers %}
<link rel="stylesheet" href="{% static "openpaper_scandb.css" %}">
{% block scandb_extra_headers %}{% endblock %}
{% endblock %}

{% block body %}
<div id="scandb">
    <h1>{% block title %}{% endblock %}</h1>

    <div id="scandb_listing">
        <p>
        <a href="{% url 'scannerdb:home' %}">{% trans "Home" %}</a>
        </p>

        <ul>
            {% for manufacturer in manufacturers %}
            <li>
                {% if manufacturer != selected_manufacturer %}
                <a href="{% url 'scannerdb:vendor' manufacturer.id %}">{{ manufacturer.name }}</a>
                {% else %}
                <a href="{% url 'scannerdb:vendor' manufacturer.id %}" class="scandb_selected">{{ manufacturer.name }}</a>

                <ul>
                    {% for scanner in scanners %}
                    <li>
                        {% if scanner != selected_scanner %}
                        <a href="{% url 'scannerdb:scanner' scanner.id %}">{{ scanner.name }}</a>
                        {% else %}
                        <a href="{% url 'scannerdb:scanner' scanner.id %}" class="scandb_selected">{{ scanner.name }}</a>

                        <ul>
                            {% for report in reports %}
                            <li>
                                {% if not selected_report or report.id != selected_report.id %}
                                <a href="{% url 'scannerdb:report' report.id %}">{{ report.creation_date }}</a>
                                {% else %}
                                <a href="{% url 'scannerdb:report' report.id %}" class="scandb_selected">{{ report.creation_date }}</a>
                                {% endif %}
                            </li>
                            {% endfor %}
                        </ul>

                        {% endif %}
                    </li>
                    {% endfor %}
                </ul>

                {% endif %}
            </li>
            {% endfor %}
        </ul>
    </div>

    <div id="scandb_body">
        {% block scandb_body %}
        {% endblock %}
    </div>
</div>

{% endblock %}
